<template>
  <q-markup-table :flat="props.flat" :inline="props.borde" v-if="props.visible">
    <thead>
      <tr>
        <th v-for="c in props.columnas" :key="c" class="text-left">
          <q-skeleton animation="blink" type="text" />
        </th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="f in props.filas" :key="f">
        <td v-for="c in props.columnas" :key="c" class="text-left">
          <q-skeleton animation="blink" type="text" width="85px" />
        </td>
      </tr>
    </tbody>
  </q-markup-table>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  props: {
    filas: {
      type: Number,
      required: true,
    },
    columnas: {
      type: Number,
      required: true,
    },
    flat: {
      type: Boolean,
      required: false,
      default: false,
    },
    visible: {
      type: Boolean,
      required: false,
      default: true,
    },
    borde: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
  setup(props) {
    return {
      props,
    };
  },
});
</script>
